package com.atlassian.bitbucket.mesh.repository;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public class ReplicaStateUpdatedEvent {

    private final String repositoryId;
    private final ReplicaState state;

    public ReplicaStateUpdatedEvent(@Nonnull String repositoryId, @Nonnull ReplicaState state) {
        this.repositoryId = requireNonNull(repositoryId, "repositoryId");
        this.state = requireNonNull(state, "state");
    }

    @Nonnull
    public String getRepositoryId() {
        return repositoryId;
    }

    @Nonnull
    public ReplicaState getState() {
        return state;
    }
}
